Subject: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Jan Djärv <[email-masked]>
Date: Thu, 13 Jun 2013 09:08:26 +0200

Hello. 

12 jun 2013 kl. 22:11 skrev Angelo Graziosi <[email-masked]>:

> Just for completeness,
> 
> Il 12/06/2013 20.33, Paul Eggert ha scritto:
>> On 06/12/13 00:00, Jan Djärv wrote:
>> 
>>> It crashes much less with this change
>> 
>> That's surprising -- I'd expect it to either crash not
>> at all, or to crash just as often as before.
>> 
>> Can you strace a failing instance?  The syscall pattern
>> may help explain things.
>> 
> 
> here it crashes (on different .el files) every time I try to build.
> 

Well, the crashes are kind of random, so maybe the randomness just shifted a bit on my system?

I do get segmentation violations sometimes instead of the pthread abort.  
But I haven't been able to get one while running the debugger yet 

     Jan D.